<?php

namespace Drupal\masquerade_as_role;

use Drupal\masquerade_as_role\Form\MasqueradeAsRoleForm;

/**
 * Helper class to override any block content in a HOOK_block_view_alter().
 */
class MasqueradeAsRoleOverrideBlock {

  /**
   * {@inheritdoc}
   */
  public function getPlugin() {
    return $this;
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    return \Drupal::formBuilder()->getForm(MasqueradeAsRoleForm::class);
  }

}
